> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Este endpoint permite actualizar la información del producto.

> This endpoint allows you to update product information



## OpenAPI

````yaml PUT /api/v3/products/{vendorId}
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /api/v3/products/{vendorId}:
    put:
      summary: Update product information
      description: This endpoint allows you to update product information
      parameters:
        - name: vendorId
          in: query
          required: true
          description: Unique brand identifier
          schema:
            type: integer
            format: int32
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                storeId:
                  type: string
                  description: Unique store identifier
                productId:
                  type: string
                  description: Unique product identifier
                active:
                  type: boolean
                  description: Product status
                priceInfo:
                  type: object
                  properties:
                    price:
                      type: number
                      description: >-
                        Allows you to define the final price of the product
                        (this price will be displayed in the app or the website)
                    pointPrice:
                      type: integer
                      description: Allows the price in points
                      nullable: true
                scheduledActiveStatus:
                  type: string
                  format: date-time
                  description: Future date on which you want to activate the product
                scheduledInactiveStatus:
                  type: string
                  format: date-time
                  description: Future date on which you want to inactivate the product
              required:
                - storeId
                - productId
                - active
                - priceInfo
      responses:
        '200':
          description: Product information successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Product updated successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````